References
List Institution Types
Retrieve a paginated list of institution types.
GET
/
references
/
institution-types
curl -X GET "https://api.hexagraph.in/references/institution-types?page=1&per_page=25"
fetch("https://api.hexagraph.in/references/institution-types?page=1&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get(
"https://api.hexagraph.in/references/institution-types",
params={"page": 1, "per_page": 25}
)
print(response.json())
{
"meta": {
"count": 8,
"page": 1,
"per_page": 25
},
"results": [
{
"id": 8,
"code": "archive",
"name": "archive",
"description": "Museums, libraries, and zoos that steward research and cultural heritage materials.",
"outputs_count": 1503054,
"cited_by_count": 19675943,
"created_date": "2024-03-20T09:43:51.000Z",
"updated_date": "2026-08-02T06:04:45.000Z"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
Retrieves a paginated list of institution types.
Query Parameters
integer
default:"1"
Page number for pagination. Default is
1.integer
default:"25"
Results per page. Allowed values:
10, 25, 50, 100.Response Fields
object
required
array
required
Array of institution type records.
Show results item attributes
Show results item attributes
curl -X GET "https://api.hexagraph.in/references/institution-types?page=1&per_page=25"
fetch("https://api.hexagraph.in/references/institution-types?page=1&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get(
"https://api.hexagraph.in/references/institution-types",
params={"page": 1, "per_page": 25}
)
print(response.json())
{
"meta": {
"count": 8,
"page": 1,
"per_page": 25
},
"results": [
{
"id": 8,
"code": "archive",
"name": "archive",
"description": "Museums, libraries, and zoos that steward research and cultural heritage materials.",
"outputs_count": 1503054,
"cited_by_count": 19675943,
"created_date": "2024-03-20T09:43:51.000Z",
"updated_date": "2026-08-02T06:04:45.000Z"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
⌘I
curl -X GET "https://api.hexagraph.in/references/institution-types?page=1&per_page=25"
fetch("https://api.hexagraph.in/references/institution-types?page=1&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get(
"https://api.hexagraph.in/references/institution-types",
params={"page": 1, "per_page": 25}
)
print(response.json())
{
"meta": {
"count": 8,
"page": 1,
"per_page": 25
},
"results": [
{
"id": 8,
"code": "archive",
"name": "archive",
"description": "Museums, libraries, and zoos that steward research and cultural heritage materials.",
"outputs_count": 1503054,
"cited_by_count": 19675943,
"created_date": "2024-03-20T09:43:51.000Z",
"updated_date": "2026-08-02T06:04:45.000Z"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}